=== debian/control ===
Source: anonsurf
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Parrot Team <team@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>,
           Lisetta "Sheireen" Ferrero <sheireen@autistiche.org>
           Nong Hoang "Dmknght" Tu <dmknght@parrotsec.org>
Standards-Version: 4.5.0
Build-Depends: bash-completion,
               debhelper-compat (= 12),
               libnim-gintro-dev,
               nim
Build-Depends-Indep: pkg-config
Homepage: https://www.parrotsec.org/

Package: anonsurf
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends},
         bash (>= 5.0),
         bleachbit,
         iptables,
         libnotify4,
         nyx,
         sudo,
         systemd | systemctl,
         tor
Recommends: connect-proxy, libnotify-bin, parrot-menu, tor-geoipdb, torsocks
Suggests: gnunet, gnunet-gtk, onionshare, resolvconf, vidalia
Description: Anonymization toolkit from Parrot Security OS
 AnonSurf is an anonymization toolkit that helps
 prevent tracking and surveillance of the end-user.
 .
 AnonSurf creates a Tor transparent proxy using iptables
 to forward all traffic through the Tor network.
 It also disables IPv6 and clears application caches
 to prevent data leaks.

Package: anonsurf-gtk
Architecture: any
Priority: optional
Depends: anonsurf
Description: Graphic Interface for AnonSurf
 AnonSurf's graphic user interface and
 menu launcher written in Nim and
 gintro library (a binding of GTK framework).

Package: anonsurf-cli
Architecture: any
Priority: optional
Depends: anonsurf
Description: Command Line Interface for AnonSurf
 AnonSurf's command line interface and
 menu launcher written in Nim and
 gintro library (a binding of GTK framework).
