=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion
# override_dh_auto_configure:
# 	nimble install gintro
override_dh_installsystemd:
	dh_installsystemd --no-enable
override_dh_auto_build:
	make build-parrot
override_dh_auto_install:
# Install apparmor
# Learned from Tor rule
# override_dh_install-arch:
# 	dh_apparmor --profile-name=usr.bin.anonsurf -panonsurf

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
