=== debian/changelog ===
anonsurf (5.0.0+parrot1) lory; urgency=medium

  * Release version 5.0

 -- dmknght <dmknght@parrotsec.org>  Wed, 10 Jun 2024 15:59:34 +0700

anonsurf (4.1.1+parrot2) lory; urgency=medium

  * Rebuild for Parrot 6.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 19 Dec 2023 09:54:15 +0100

anonsurf (4.1.1+parrot1) parrot-lts; urgency=medium

  * Fix version name for stable release

 -- dmknght <dmknght@parrotsec.org>  Thu, 02 Feb 2023 15:59:34 +0700
