=== debian/control ===
Source: anonsurf
Section: net
Priority: optional
Maintainer: Parrot Team <team@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>,
           Lisetta "Sheireen" Ferrero <sheireen@autistiche.org>
           Nong Hoang "Dmknght" Tu <dmknght@parrotsec.org>
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 12),
 nim,
 gcc (>= 10),
 bash-completion,
 valac,
 libsoup2.4-dev,
 libnotify-dev,
 libvte-2.91-dev,
Build-Depends-Indep: pkg-config
Homepage: https://www.parrotsec.org/

Package: anonsurf
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 5.0), iptables, tor, systemd | systemctl, sudo
Recommends: tor-geoipdb, parrot-menu
Suggests: gnunet-gtk, gnunet, vidalia, resolvconf, onionshare, connect-proxy, bleachbit, snowflake-client, obfs4proxy
Description: Anonymization toolkit for Parrot Security OS
 AnonSurf is an anonymization toolkit that helps
 prevent tracking and surveillance of the end-user.
 .
 AnonSurf creates a Tor transparent proxy using iptables
 to forward all traffic through the Tor network.
 It also disables IPv6 and clears application caches
 to prevent data leaks.

Package: anonsurf-gtk
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, anonsurf, nyx, pkexec
Recommends: parrot-menu
Description: Graphic Interface for AnonSurf
 AnonSurf's graphic user interface and
 menu launcher written in Vala

Package: anonsurf-cli
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, anonsurf, nyx, sudo
Description: Command Line Interfaced for AnonSurf
 AnonSurf's command line interface and
 menu launcher written in Nim
